#!/bin/sh

if [ $UID != 0 ]
then
	echo "this script needs to be run by root!"
	exit 1
fi

if [ ! -n "$0" ]
then
	echo "usage: $0 rootimage.tar.gz"
fi

TEMPDIR=`mktemp -d`

echo "Extracting tar... "
tar xzf $1 --numeric-owner --directory=$TEMPDIR
name=`echo $1|sed -e 's/tgz/jffs2/' -e 's/tar.gz/jffs2/'`

echo "Creating image... "
mkfs.jffs2 -r $TEMPDIR -o $name.temp  -e 128 -l -n

echo "Creating summaries... "
sumtool -i $name.temp -o $name -e 128KiB -l -n

echo "cleaning up"
rm -f $name.temp
rm -rf $TEMPDIR

