#!/bin/sh
# A simple script to locate sources used to create a specific image
# Ext-Riku.voipio@nokia.com
# Copyright  Nokia 2004

for line in `cat $1|sed 's/ /=/g'`
do
	binary=`echo $line|sed 's/=.*//'`
	version=`echo $line|sed 's/.*=//'`

	sv=`apt-cache show $binary|sed -n -e '/^Source: /s/Source: //p' | sed -n -e 's/.* (//' -e 's/)//p'|head -1`
	if [ -n "$sv" ] ; then
		echo "binary=$binary version=$version/" >> /tmp/ttt5
		echo "x= x$sv/" >>/tmp/ttt5
	fi
	
	if [ ! x = x$sv ]
	then
		version=$sv
	fi
	
	source=""

	last_was_package=0

	for sourceline in `apt-cache showsrc $binary|grep -E '^(Package|Version)'|tr ' ' '_'`
	do
		if [ "$last_was_package" = "0"  ]
		then
			lastsource=`echo $sourceline | sed -n 's/^Package:_//p'`
			last_was_package=1
		else
			sourceversion=`echo $sourceline | sed -n 's/^Version:_//p'`
			last_was_package=0

			if [ "$version" = "$sourceversion" ]
			then
				source=$lastsource
			fi
		fi
	done

	if [ -z "$source" ]
	then
		echo "$binary=$version,not found"
	else
		echo "$source $version"
	fi
done
