#!/bin/sh

set -e 

function docs()
{
	echo "Removing docs.."
	rm -rf /usr/share/doc
	rm -rf /usr/share/doc-base
	rm -rf /usr/share/bug	
	rm -rf /usr/share/dict

	rm -rf /usr/share/man
	rm -rf /usr/X11R6/man

	rm -rf /usr/share/gtk-doc
	rm -rf /usr/share/info
	rm -rf /usr/info
	rm -rf /usr/share/lintian
	rm -rf /use/share/bug
}

function apt()
{
	echo "Removing apt databases.."
	rm -rf /var/lib/apt
	rm -rf /var/cache/apt
	rm -rf /usr/lib/apt
	rm -rf /usr/lib/dpkg
}

function debian()
{
	echo "Removing debian"
	rm -rf /var/cache/debconf
	rm -rf /var/lib/dpkg
	rm -rf /var/lib/ucf
}

function locales()
{
	echo "removing locales .."
	
	# Remove all wierd locales, leave en_*
	#rm -rf /usr/share/locale/[abcdfghijklmnopqrstuvwxyz]*
	#rm -rf /usr/share/locale/e[slto]*
	rm -rf /usr/share/locale/??/
}

function x11()
{
	echo "Removing unecessary and legacy bits of X11.."
	rm -rf /usr/X11R6/include/X11/icons/redglass
	rm -rf /usr/X11R6/include/X11/icons/whiteglass
	rm -rf /usr/X11R6/include/X11/bitmaps
	rm -rf /usr/X11R6/include/X11/pixmaps
	rm -rf /etc/X11/xkb
}

function devel()
{
	echo "Removing devel bits.."
	rm -rf /usr/include/*
	rm -f  /usr/lib/*.a
	rm -rf /usr/src/*
}

function zoneinfo()
{
	echo "Removing unneeded zoneinfo stuff ..."
	currentzi=`ls -l /etc/localtime |sed 's/.* -> \(.\+\)/\1/'`
        cp $currentzi /tmp/
        rm -rf /usr/share/zoneinfo/*
        mkdir -p `dirname $currentzi`
        mv /tmp/`basename $currentzi` $currentzi
        ln -si /etc/localtime /usr/share/zoneinfo/localtime
}

. /targets/links/scratchbox.config

# Packages we do not want in the rootimage/rootstrap

echo "Deleting stuff"
set -x

for strip_thing in $STRIP; do
	case $strip_thing in
		all)
		docs
		x11
		locales
		zoneinfo
		devel
		apt
		debian
		;;
		docs)
		docs
		;;
		locales)
		locales
		;;
		zoneinfo)
		zoneinfo
		;;
		apt)
		apt;
		;;
		debian)
		debian
		;;
		x11)
		x11
		;;
		devel)
		devel
		;;
		*)
		echo "no such strip option: $strip_thing"
		;;
	esac
done

set +x

# Remove fakeroot as it will be no longer needed on the target


